From owner-fitsbits at tarsier.cv.nrao.edu  Thu Aug 22 13:39:56 1996
Received: (from majdom at localhost) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) id NAA14054; Thu, 22 Aug 1996 13:39:56 -0400
Received: from fits.cv.nrao.edu (fits.cv.nrao.edu [192.33.115.8]) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) with ESMTP id UAA05573; Wed, 21 Aug 1996 20:24:30 -0400
Received: from solitaire.cv.nrao.edu (news at solitaire.cv.nrao.edu [192.33.115.79]) by fits.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with SMTP id UAA27937 for <fitsbits at fits>; Wed, 21 Aug 1996 20:24:26 -0400 (EDT)
Received: by solitaire.cv.nrao.edu (4.1/DDN-CV/1.10)
	id AA04831; Wed, 21 Aug 96 20:24:23 EDT
To: fitsbits at fits.cv.nrao.edu
Date: Tue, 20 Aug 1996 11:22:08 -0500
From: "B. Evans" <bevans at siennasoft.com>
Message-Id: <3219E630.2D02 at siennasoft.com>
Organization: Bell Global Solutions
Path: solitaire.cv.nrao.edu!hearst.acc.Virginia.EDU!uunet!in3.uu.net!nntp04.primenet.com!nntp.primenet.com!winternet.com!clio.trends.ca!worldlinx.com!news.bellglobal.com!news
Subject: FITS to excel or tabbed text conversion
Newsgroups: sci.astro.fits,sci.astro
Sender: owner-fitsbits at tarsier.cv.nrao.edu
Precedence: bulk

Hi all you FITS experts.

I am looking for a utility program that can take FITS files and convert them into 
a text file that can be read in by a spreadsheet. 

The type of fits files I am interested in are ones describing the locations of stars,  
deep sky objects and other point-like objects on the celestial sphere.

I could use a solution that is Macintosh based. 
I have heard of a program called "browser" will it do the trick?

C or C++ source code is another option.

Thanks a lot for any suggestions you might have.

Please email as well as post solutions, my news server is not the most reliable 
thing on the planet.


From owner-fitsbits at tarsier.cv.nrao.edu  Thu Aug 22 13:41:24 1996
Received: (from majdom at localhost) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) id NAA14091; Thu, 22 Aug 1996 13:41:24 -0400
Received: from fits.cv.nrao.edu (fits.cv.nrao.edu [192.33.115.8]) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) with ESMTP id MAA13247; Thu, 22 Aug 1996 12:22:11 -0400
Received: from solitaire.cv.nrao.edu (news at solitaire.cv.nrao.edu [192.33.115.79]) by fits.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with SMTP id MAA04464 for <fitsbits at fits>; Thu, 22 Aug 1996 12:22:04 -0400 (EDT)
Received: by solitaire.cv.nrao.edu (4.1/DDN-CV/1.10)
	id AA01903; Thu, 22 Aug 96 12:21:59 EDT
To: fitsbits at fits.cv.nrao.edu
Date: 21 Aug 1996 11:28 EDT
From: bschlesinger at nssdca.gsfc.nasa.gov (Barry M. Schlesinger)
Message-Id: <21AUG199611282166 at nssdca.gsfc.nasa.gov>
Organization: NASA Goddard Space Flight Center -- Greenbelt, Maryland USA
Path: solitaire.cv.nrao.edu!hearst.acc.Virginia.EDU!maui.cc.odu.edu!news.larc.nasa.gov!news.msfc.nasa.gov!newsfeed.internetmci.com!in3.uu.net!news2.digex.net!news5.digex.net!haven.umd.edu!cs.umd.edu!newsfeed.gsfc.nasa.gov!nssdca.gsfc.nasa.gov!bschlesinger
Reply-To: fits at nssdca.gsfc.nasa.gov
Subject: Sources of FITS Information
Newsgroups: sci.astro.fits,sci.answers,news.answers
Sender: owner-fitsbits at tarsier.cv.nrao.edu
Precedence: bulk

Archive-name: astronomy/fits/info-sources
Last-modified: 1996/07/23


--------
		Sources of FITS Information 

Preface 	

This material on sources of Flexible Image Transport System (FITS)
information is posted and updated periodically by the FITS Support
Office at the NASA Goddard Space Flight Center (GSFC).  It discusses
where general FITS information, including some answers to frequently
asked questions, can be found, and provides sources for detailed
information on FITS software and documentation. 

-------

FITS Support Office

The FITS Support Office maintains a library of FITS information
accessible from http://ssdoo.gsfc.nasa.gov/astro/fits/fits_home.html or
ftp://nssdc.gsfc.nasa.gov/pub/fits/.  The material available includes

o	"Definition of FITS," a codification of FITS for the 
	NASA/Science Office of Standards and Technology (NOST),
	available in LaTeX, uncompressed PostScript, compressed 
	PostScript and (usually) ASCII text
	(The ASCII text version may not be available for a short 
	while after the announcement of a new version.)

o	"A User's Guide to FITS", published by the FITS Support Office, 
	in LaTeX, and compressed and uncompressed PostScript 

o	Revisions to version 1.0 of the "Definition of FITS" covering the
	specification of units that were incorporated 
	into version 1.1 (text)

o	A current list of the extension type (structure) names
	registered with the International Astronomical Union FITS
	Working Group (IAUFWG) (text)

o	Rules for physical blocking on various media adopted by
	the IAUFWG (text)  

In the same directory but accessible directly via 
http://ssdoo.gsfc.nasa.gov/astro/fits/basics_info.html is the FITS
Basics and Information that used to be regularly posted to
sci.astro.fits and sci.data.formats.  It continues to be revised to
reflect current FITS developments.  It contains the following material: 

o	An overview of FITS

o	A list of FITS documents  

o	A list of software packages that support FITS, 
		including FITS-image converters for various platforms

o	A list of on-line FITS resources

o	A description of the FITS Support Office 

The hypertext version provides links to many of the documents, 
software, and network locations listed.  The text version provides 
information on how to obtain much of this material.

There is also a hypertext version of the List of Registered  Extensions. 

Links from the Web page and subdirectories of the ftp directory contain
	
o	Software developed by the FITS Support Office.  

o	Error test files: primary HDUs useful for testing the ability
	of software designed to read FITS files to cope with files that 
	have errors or are non-standard.  These files should be 
	downloaded in binary form.

Printed copies of the material in the FITS directory can be obtained
from the Coordinated Request and User Support Office (CRUSO):  

(Postal) Coordinated Request and User Support Office
         Code 633
	 National Space Science Data Center
	 NASA Goddard Space Flight Center
	 Greenbelt MD 20771 USA

(Electronic mail) request at nssdca.gsfc.nasa.gov

(Telephone)  +1-301-286-6695 8:00 A. M. - 4:30 P.M. U. S. Eastern Time
(-0500 from the last Sunday in October through the first Saturday in
April; -0400 the remainder of the year) 
	When no one is available, messages can be left on voice mail. 
(FAX) +1-301-286-1635

-------

National Radio Astronomy Observatory (NRAO)

A FITS Archive can be found at URL http://fits.cv.nrao.edu/ or 
at ftp://fits.cv.nrao.edu/fits, located at NRAO.  This machine supports a
WAIS server named nrao-fits which has an index of all of the
FITS-related text files in the archive; the file nrao-fits.src is
available at think.com and at
ftp://fits.cv.nrao.edu/fits/wais-sources/nrao-fits.src.  

Some of the more noteworthy materials in this archive are 

o	Drafts of proposed additions to the FITS standard and other 
	drafts that may in the future be formally proposed

o	Text of any detailed proposals currently being discussed by 
	the FITS committees

o	A collection of documents on World Coordinate Systems, 
	including the current draft proposal

o	Conventions specific to particular projects or disciplines

o 	Software for various environments and Usenet postings about
	code 

o	Sample data and special test files designed to measure the
        ability of a FITS reader to handle a wide variety of FITS files

o	Archives of traffic on FITS-related newsgroups and exploders

A separate NRAO site, http://www.cv.nrao.edu/~bcotton/fitsview.html,
provides information on the FITSview family of software packages for
display of FITS images on Microsoft Windows 3.1 and Windows 95, Apple
Macintosh, and Unix/X-Windows, with links to the software. It also links to
a number of sources of astronomical FITS images.                                                 

-------

HEASARC

The NASA/Goddard High Energy Astrophysics Science Archive Research
Center (HEASARC) Web server at 
http://heasarc.gsfc.nasa.gov/docs/heasarc/fits.html and the anonymous
ftp access through ftp://heasarc.gsfc.nasa.gov/fits_info/ provide FITS
material.  HEASARC has developed the FITSIO package of software routines
for easily reading and writing FITS files, with a FORTRAN and a beta
(but well-tested) C version available, portable to a wide variety of
machines.  There is also the FTOOLS collection of software tools and the
VERIFITS FITS conformance verifier. HEASARC software is available
directly through
http://heasarc.gsfc.nasa.gov/docs/heasarc/tech_res_software.html or
ftp://heasarc.gsfc.nasa.gov/fits_info/software/ . 

The HEASARC server also provides information from the HEASARC FITS
Working Group, (HFWG) the internal legislative body on FITS-related
matters within the Office of Guest Investigator Programs (OGIP) at
NASA/GSFC, at 
http://heasarc.gsfc.nasa.gov/docs/heasarc/ofwg/ofwg_intro.html or
ftp://heasarc.gsfc.nasa.gov/fits_info/ . The HFWG has developed a number
of FITS conventions that are more specific than the requirements of the
FITS standards. Proposed conventions are publicized to the FITS
community as a whole, with the goal of collaborative development of a
set of conventions that will be accepted throughout the community as
well as within OGIP/HEASARC. 

-------

Direct questions about this posting to 
				Barry M. Schlesinger
				Coordinator,
				FITS Support Office

Electronic mail: fits at nssdca.gsfc.nasa.gov
Telephone:       +1-301-441-4205		

The FITS Support Office is operated under the guidance of the
NASA/GSFC Astrophysics Data Facility.



From owner-fitsbits at tarsier.cv.nrao.edu  Thu Aug 29 13:44:28 1996
Received: (from majdom at localhost) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) id NAA18412; Thu, 29 Aug 1996 13:44:28 -0400
Received: from fits.cv.nrao.edu (fits.cv.nrao.edu [192.33.115.8]) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) with ESMTP id NAA18397; Thu, 29 Aug 1996 13:41:52 -0400
Received: from solitaire.cv.nrao.edu (news at solitaire.cv.nrao.edu [192.33.115.79]) by fits.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with SMTP id NAA13334 for <fitsbits at fits>; Thu, 29 Aug 1996 13:41:02 -0400 (EDT)
Received: by solitaire.cv.nrao.edu (4.1/DDN-CV/1.10)
	id AA21819; Thu, 29 Aug 96 13:40:57 EDT
To: fitsbits at fits.cv.nrao.edu
Date: 28 Aug 1996 21:17:20 GMT
From: sla at umbra.ucolick.org (Steve Allen)
Message-Id: <502d10$q2i at darkstar.ucsc.edu>
Organization: UCO/Lick Observatory, Santa Cruz
Path: solitaire.cv.nrao.edu!hearst.acc.Virginia.EDU!news-server.ncren.net!concert!gatech!enews.sgi.com!news.mathworks.com!newsfeed.internetmci.com!howland.erols.net!agate!news.ucsc.edu!umbra.ucolick.org!sla
Subject: ASCII table tricks
Newsgroups: sci.astro.fits
Sender: owner-fitsbits at tarsier.cv.nrao.edu
Precedence: bulk

>From the ASCII tables definition it appears that it would be possible
to make a table which is truly human-readable by naive tools.

Say that the table is written with 1-column gaps between the fields
that contain the character '|', and that there is an extra column
after the last field which contains an ASCII newline character.
In this case the table would automatically appear on screen in a
very presentable fashion.

Or the gaps between fields could be multiple-character strings
guaranteed not to occur in the body of any of the fields, and the
end-of-row could be multiple characters (to make even DOS happy).  In
this case the data unit of the ASCII table could also conform exactly
to the input format required by some database table dump/load tools.

Furthermore, data unit of this kind of table would be relatively
simple to edit using many text editors.  The characters in the gaps
would make it quite straightforward to preserve the structure.

Does the standard permit this, or did I miss some constraint?

Is anyone writing FITS ASCII tables with these intents?
--
Steve Allen          UCO/Lick Observatory       Santa Cruz, CA 95064
sla at ucolick.org      Voice: +1 408 459 3046     FAX: +1 408 454 9863
WWW: http://www.ucolick.org/~sla                PGP public keys:  see WWW


From owner-fitsbits at tarsier.cv.nrao.edu  Fri Aug 30 08:42:23 1996
Received: (from majdom at localhost) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) id IAA25340; Fri, 30 Aug 1996 08:42:23 -0400
Received: from fits.cv.nrao.edu (fits.cv.nrao.edu [192.33.115.8]) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) with ESMTP id DAA23239; Fri, 30 Aug 1996 03:28:50 -0400
Received: from cv3.cv.nrao.edu (root at cv3.cv.nrao.edu [192.33.115.2]) by fits.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with ESMTP id DAA19140 for <fitsbits at fits.cv.nrao.edu>; Fri, 30 Aug 1996 03:28:06 -0400 (EDT)
Received: from poseidon.ifctr.mi.cnr.it (poseidon.ifctr.mi.cnr.it [155.253.2.87]) by cv3.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with SMTP id DAA18842 for <fitsbits at fits.cv.nrao.edu>; Fri, 30 Aug 1996 03:28:02 -0400 (EDT)
Received: by poseidon.ifctr.mi.cnr.it (5.65/1.34)
	id AA02413; Fri, 30 Aug 1996 09:31:14 +0200
Organization: Istituto di Fisica Cosmica e Tecnologie Relative
Date: Fri, 30 Aug 1996 09:31:13 +0200 (MET DST)
From: Lucio Chiappetti <lucio at ifctr.mi.cnr.it>
Subject: Re: ASCII table tricks
To: Steve Allen <sla at umbra.ucolick.org>
Cc: fitsbits at fits.cv.nrao.edu
In-Reply-To: <502d10$q2i at darkstar.ucsc.edu>
Message-Id: <Pine.3.89.9608300924.J391-0100000 at poseidon.ifctr.mi.cnr.it>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Sender: owner-fitsbits at tarsier.cv.nrao.edu
Precedence: bulk

On 28 Aug 1996, Steve Allen wrote:

> >From the ASCII tables definition it appears that it would be possible
> to make a table which is truly human-readable by naive tools.
  ...
> Is anyone writing FITS ASCII tables with these intents?

  Is anyone using FITS ASCII tables at all  nowadays, or not only
  BINTABLEs ?
                                                  LC


From owner-fitsbits at tarsier.cv.nrao.edu  Fri Aug 30 09:17:07 1996
Received: (from majdom at localhost) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) id JAA25484; Fri, 30 Aug 1996 09:17:07 -0400
Received: from fits.cv.nrao.edu (fits.cv.nrao.edu [192.33.115.8]) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) with ESMTP id JAA25447; Fri, 30 Aug 1996 09:14:13 -0400
Received: from cv3.cv.nrao.edu (root at cv3.cv.nrao.edu [192.33.115.2]) by fits.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with ESMTP id JAA21814 for <fitsbits at fits.cv.nrao.edu>; Fri, 30 Aug 1996 09:13:26 -0400 (EDT)
Received: from tetra.gsfc.nasa.gov (tetra.gsfc.nasa.gov [128.183.127.109]) by cv3.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with SMTP id JAA21604 for <fitsbits at fits.cv.nrao.edu>; Fri, 30 Aug 1996 09:13:24 -0400 (EDT)
Received: (from pence at localhost) by tetra.gsfc.nasa.gov (LHEA9504/950407.s1) id JAA06260; Fri, 30 Aug 1996 09:12:07 -0400
Date: Fri, 30 Aug 1996 09:12:07 -0400
From: William Pence <pence at tetra.gsfc.nasa.gov>
Message-Id: <199608301312.JAA06260 at tetra.gsfc.nasa.gov>
To: fitsbits at fits.cv.nrao.edu
Subject: Re: ASCII table tricks
Cc: pence at tetra.gsfc.nasa.gov
Sender: owner-fitsbits at tarsier.cv.nrao.edu
Precedence: bulk

Steve Allen wrote:

> From the ASCII tables definition it appears that it would be possible
> to make a table which is truly human-readable by naive tools.
> 
> Say that the table is written with 1-column gaps between the fields
> that contain the character '|', and that there is an extra column
> after the last field which contains an ASCII newline character.
> In this case the table would automatically appear on screen in a
> very presentable fashion.
  ...
> Does the standard permit this, or did I miss some constraint?

The FITS Standard does not allow the ASCII newline character or any
other ASCII control characters in an ASCII table.  Section 8.1.5 states
that "All data in an ASCII tables extension record shall be ASCII text ..."
and "ASCII text" is defined to be the ASCII characters hexidecimal 20-7E.

-Bill Pence
 NASA/GSFC
 


From owner-fitsbits at tarsier.cv.nrao.edu  Sat Aug 31 16:11:50 1996
Received: (from majdom at localhost) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) id QAA02198; Sat, 31 Aug 1996 16:11:50 -0400
Received: from fits.cv.nrao.edu (fits.cv.nrao.edu [192.33.115.8]) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) with ESMTP id AAA30752; Sat, 31 Aug 1996 00:12:26 -0400
Received: from solitaire.cv.nrao.edu (news at solitaire.cv.nrao.edu [192.33.115.79]) by fits.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with SMTP id AAA23418 for <fitsbits at fits>; Sat, 31 Aug 1996 00:11:34 -0400 (EDT)
Received: by solitaire.cv.nrao.edu (4.1/DDN-CV/1.10)
	id AA02326; Sat, 31 Aug 96 00:11:31 EDT
To: fitsbits at fits.cv.nrao.edu
Date: 30 Aug 1996 17:51:53 GMT
From: sla at umbra.ucolick.org (Steve Allen)
Message-Id: <5079np$ae7 at darkstar.ucsc.edu>
Organization: UCO/Lick Observatory, Santa Cruz
Path: solitaire.cv.nrao.edu!hearst.acc.Virginia.EDU!maui.cc.odu.edu!news.larc.nasa.gov!news.msfc.nasa.gov!newsfeed.internetmci.com!howland.erols.net!agate!news.ucsc.edu!umbra.ucolick.org!sla
References: <199608301312.JAA06260 at tetra.gsfc.nasa.gov>
Subject: Re: ASCII table tricks
Newsgroups: sci.astro.fits
Sender: owner-fitsbits at tarsier.cv.nrao.edu
Precedence: bulk

In article <199608301312.JAA06260 at tetra.gsfc.nasa.gov>,
William Pence  <pence at tetra.gsfc.nasa.gov> wrote:
>Steve Allen wrote:
>> Does the standard permit this, or did I miss some constraint?
>
>The FITS Standard does not allow the ASCII newline character or any
>other ASCII control characters in an ASCII table.  Section 8.1.5 states
>that "All data in an ASCII tables extension record shall be ASCII text ..."
>and "ASCII text" is defined to be the ASCII characters hexidecimal 20-7E.

But wait, playing standards lawyer for a moment I point out that
section 8.1.5 is about "entries" in the table.

In section 8.1.3 it states
  "The table is constructed from a two-dimensional array of ASCII characters."
which means anything in 7-bit ASCII.

I believe the standard is saying that the data fields themselves may
only contain printable text, but that portions of the table outside
the fields may contain other ASCII charcters.

In particular, I believe this permits the tricks I suggested.

If this is not what the standards writers intended then the
language of section 8.1.3 needs clarification.

--
Steve Allen          UCO/Lick Observatory       Santa Cruz, CA 95064
sla at ucolick.org      Voice: +1 408 459 3046     FAX: +1 408 454 9863
WWW: http://www.ucolick.org/~sla                PGP public keys:  see WWW


From owner-fitsbits at tarsier.cv.nrao.edu  Sat Aug 31 16:12:28 1996
Received: (from majdom at localhost) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) id QAA02208; Sat, 31 Aug 1996 16:12:28 -0400
Received: from fits.cv.nrao.edu (fits.cv.nrao.edu [192.33.115.8]) by tarsier.cv.nrao.edu (8.6.13/$Revision: 2.10 $) with ESMTP id GAA00795; Sat, 31 Aug 1996 06:16:46 -0400
Received: from solitaire.cv.nrao.edu (news at solitaire.cv.nrao.edu [192.33.115.79]) by fits.cv.nrao.edu (8.7.5/8.7.1/CV-2.1) with SMTP id GAA23832 for <fitsbits at fits>; Sat, 31 Aug 1996 06:15:50 -0400 (EDT)
Received: by solitaire.cv.nrao.edu (4.1/DDN-CV/1.10)
	id AA11529; Sat, 31 Aug 96 06:15:43 EDT
To: fitsbits at fits.cv.nrao.edu
Date: Thu, 29 Aug 1996 05:06:01 GMT
From: gunja at the.pot.patch (Cannibis Stativa)
Message-Id: <32252505.8118366 at news.ot.centuryinter.net>
Organization: H.E.A.D.S.
Path: solitaire.cv.nrao.edu!hearst.acc.Virginia.EDU!portal.gmu.edu!news.sprintlink.net!news-dc-9.sprintlink.net!newsreader.sprintlink.net!news.sprintlink.net!news-atl-21.sprintlink.net!news.sprintlink.net!news-dc-2.sprintlink.net!news.ultranet.com!homer.alpha.net!uwm.edu!news-res.gsl.net!news.gsl.net!hunter.premier.net!news.cais.net!tezcat!cam-news-hub1.bbnplanet.com!uunet!in3.uu.net!news.ld.centuryinter.net!usenet
Subject: stars test 2
Newsgroups: sci.astro.fits
Sender: owner-fitsbits at tarsier.cv.nrao.edu
Precedence: bulk

star lite, star brite, second star I've seen tonight.
Peace, Pot, Micro-Dot!!!!!
Remember......
"Three people can keep a secret....
If two of them are DEAD!!!!!"  
          
          Gunja


